package com.sams.learnweblogic7.servlets;

import javax.servlet.*;
import javax.servlet.http.*;
import weblogic.servlet.security.*;

public class demonstrateFilters implements Filter {

  private FilterConfig filterConfig;

  public demonstrateFilters() {
   System.out.println("demonstrateFilters constructer invoked ... ");
  }

  public void init(FilterConfig filterConfig) 
      throws ServletException {
      this.filterConfig = filterConfig;
   }

  public void destroy() {
      this.filterConfig = null;
   }

 public void doFilter(ServletRequest req, ServletResponse res, FilterChain fc)
     throws java.io.IOException, javax.servlet.ServletException {
		System.out.println("The doFilter method has been invoked.");
    
  /* the user is authenticated, pass request to the next filter in the list or
   * if there are no more filters in the list, pass the request to the servlet
   */
   fc.doFilter(req,res);
 }

 public FilterConfig getFilterConfig() {
  return filterConfig;
 }
 public void setFilterConfig(FilterConfig cfg) {
  filterConfig = cfg;
 }
   
 public void log(String s) {
  System.out.println("[loginFilter]: " + s);
 }
}

