package com.sams.learnweblogic7.ejb.jms;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

public interface ChefInterface extends EJBObject
{
	/**
   * This method is called by the waiter to cook the item.
   *
   * @param orderedItem       MenuItem object ordered item
   * @return                  object CookedItem
   */
	public void cookItem(MenuItem orderedItem) throws RemoteException;	
}
