package com.sams.learnweblogic7.servlets;

//import the utils package
import com.sams.learnweblogic7.utils.*;

//importing standard servlet packages
import javax.servlet.*;
import javax.servlet.http.*;

//import io,util and math packages
import java.io.*;
import java.util.*;
import java.math.*;

/** Shopping cart application using cookies
 *  checkout page, used to demonstrate servlet forwarding
 * @author Mandar Chitnis
 * @author Lakshmi Ananthamurthy
 * @version 1.1
 */

public class BookCheckOutServlet extends HttpServlet
{
	Book book1;
	Book book2;
 	Book book3;

	PrintWriter out;
	ServletContext sc;
	
	public void doGet(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException{
		doPost(req,res);
	}

	public void doPost(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException{
		//display the books chosen by accessing the book objects from servlet context.
		sc = getServletConfig().getServletContext();
		out = res.getWriter();
		book1 = (Book)sc.getAttribute("book1");
		book2 = (Book)sc.getAttribute("book2");
		book3 = (Book)sc.getAttribute("book3");
		
		double totBook1Price = ((Double)sc.getAttribute("totBook1Price")).doubleValue();
		double totBook2Price = ((Double)sc.getAttribute("totBook2Price")).doubleValue();
		double totBook3Price = ((Double)sc.getAttribute("totBook3Price")).doubleValue();
		double grandTotal = ((Double)sc.getAttribute("grandTotal")).doubleValue();
		int book1Qty = ((Integer)sc.getAttribute("book1Qty")).intValue();
		int book2Qty = ((Integer)sc.getAttribute("book2Qty")).intValue();
		int book3Qty = ((Integer)sc.getAttribute("book3Qty")).intValue();
		out.println("<FORM name=\"viewcart\" action=\"/ShoppingApp/BookShoppingServlet\" method=\"get\">");
		out.println("<TABLE width = 100%>");
		out.println("<CENTER><B>Your Shopping Cart Contains:</B></CENTER><BR>");
		out.println("<TR><TH>&nbsp;</TH><TH>Book Name and description</TH><TH>Book Price</TH><TH>Qty</TH><TH>Total for each book</TH></TR>");
		out.println("<TR bgcolor='#cccc99'><TD><img src="+book1.getImagePath()+"></TD><TD align='left'><b>"+book1.getBookName()+"</b><BR>"+book1.getBookDescription()+"</TD><TD align='left'>$"+book1.getBookPrice()+"</TD><TD align ='center'>"+book1Qty+"</TD><TD align='center'>$"+totBook1Price+"</FONT></TD></TR>");  
		out.println("<TR bgcolor='#eeeeee'><TD><img src="+book2.getImagePath()+"></TD><TD align='left'><b>"+book2.getBookName()+"</b><BR>"+book2.getBookDescription()+"</TD><TD align='left'>$"+book2.getBookPrice()+"</TD><TD align ='center'>"+book2Qty+"</TD><TD align='center'>$"+totBook2Price+"</FONT></TD></TR>");  
		out.println("<TR bgcolor='#cccc99'><TD><img src="+book3.getImagePath()+"></TD><TD align='left'><b>"+book3.getBookName()+"</b><BR>"+book3.getBookDescription()+"</TD><TD align='left'>$"+book3.getBookPrice()+"</TD><TD align ='center'>"+book3Qty+"</TD><TD align='center'>$"+totBook3Price+"</FONT></TD></TR>");  
		out.println("<TR bgcolor='#eeeeee'><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD><TD align='left'><b>Total = $"+grandTotal+"</b></FONT></TD></TR>");
		out.println("</TD></TR></TABLE>");

		out.println("<BR><BR><HR><BR><BR>");
		out.println("<center><b>Please input your credit card details</b></center>");
		out.println("<b>Name on Card : </b><INPUT type=\"TEXT\" name=\"CardHolderName\"><BR>");
		out.println("<b>Type of Card : </b><SELECT><OPTION value=\"Visa\">Visa</OPTION><OPTION value=\"MasterCard\">Master Card</OPTION></SELECT><BR>");
		out.println("<b>Credit Card No: </b><INPUT type=\"TEXT\" name\"CardNumber\"><BR>");
		out.println("<b>Expiry date : </b>MM <INPUT type=\"TEXT\" name\"ExpMonth\" size=2> / YY<INPUT type=\"TEXT\" name\"ExpMonth\" size=2><BR><BR>");
		out.println("<INPUT type=\"button\" NAME=\"buttonName\" Value=\"Order Disabled for now\">&nbsp;&nbsp;");
		out.println("<INPUT type=\"submit\" NAME=\"buttonName\" Value=\"Empty Shopping Cart\"><BR>");
		out.println("<BR><BR><HR><BR><BR>");
		out.println("</FORM>");

		//calling the write FooterZone
		Utility.writeFooterZone(out);
	}
}