package com.sams.learnweblogic7.ejb.stateful;

public class ChefImpl implements ChefInterface
{
	private String chefId;
	private boolean isAvailable;

	public ChefImpl(String assignChefId){
		this.chefId = assignChefId;
	}

	public String getChefId(){
		return chefId;
	}

	public CookedItemImpl cookItem(MenuItem orderedItem){
		CookedItemImpl preparedItem = new CookedItemImpl();
		if((orderedItem.getItemDesc()).equals("Apple Pie")){
			preparedItem.setItemName("Apple Pie");
			preparedItem.setServingSize("Standard");
			preparedItem.setTaste("Sweet");
			preparedItem.setIngredients("Apple, Sugar, All Purpose Flour, Eggs, Butter");
			preparedItem.setTemperature("Hot");
		}
		else if((orderedItem.getItemDesc()).equals("Banana Split Icecream")){
			preparedItem.setItemName("Banana Split Icecream");
			preparedItem.setServingSize("One Scoop");
			preparedItem.setTaste("Sweet");
			preparedItem.setIngredients("Milk, Sugar, All Purpose Flour, Eggs, Cream, Bananas");
			preparedItem.setTemperature("Cold");
		}
		else if((orderedItem.getItemDesc()).equals("Cheese Pizza")){
			preparedItem.setItemName("Cheese Pizza");
			preparedItem.setServingSize("Standard");
			preparedItem.setTaste("Salty");
			preparedItem.setIngredients("All Purpose Flour, Cheese, Jalapenos, Tomatoes, Bell Peppers, Olives, Salt");
			preparedItem.setTemperature("Hot");
		}
		else if((orderedItem.getItemDesc()).equals("Curly Fries")){
			preparedItem.setItemName("Curly Fries");
			preparedItem.setServingSize("Standard");
			preparedItem.setTaste("Salty");
			preparedItem.setIngredients("Low Cholesterol Oil, Potatoes cut, Salt");
			preparedItem.setTemperature("Hot");
		}
		else if((orderedItem.getItemDesc()).equals("Delhi Kababs")){
			preparedItem.setItemName("Delhi Kababs");
			preparedItem.setServingSize("10 pieces");
			preparedItem.setTaste("Spicy");
			preparedItem.setIngredients("Onions,Coriander powder, Poppy Seeds, Ginger, Salad Oil, Salt, Garlic, Spices, Red Chillies, Chicken, Yogurt");
			preparedItem.setTemperature("Hot");
		}
		else if((orderedItem.getItemDesc()).equals("Fresh Pineapple Cake")){
			preparedItem.setItemName("Fresh Pineapple Cake");
			preparedItem.setServingSize("1 Slice");
			preparedItem.setTaste("Sweet");
			preparedItem.setIngredients("Pineapple, Sugar, All Purpose Flour, Eggs, Butter");
			preparedItem.setTemperature("Room Temperature");
		}
		else if((orderedItem.getItemDesc()).equals("French Fries - Tub")){
			preparedItem.setItemName("French Fries - Tub");
			preparedItem.setServingSize("Large");
			preparedItem.setTaste("Salty");
			preparedItem.setIngredients("Low Cholesterol Oil, Potatoes cut, Salt");
			preparedItem.setTemperature("Hot");
		}
		else if((orderedItem.getItemDesc()).equals("Hot Dog")){
			preparedItem.setItemName("Hot Dog");
			preparedItem.setServingSize("Standard");
			preparedItem.setTaste("Salt");
			preparedItem.setIngredients("Hot Dog Buns, Meat, Bread Crumbs, Oatmeal flour, Little Egg White, Spices - Onion, garlic, salt, pepper etc");
			preparedItem.setTemperature("Hot");
		}
		else if((orderedItem.getItemDesc()).equals("Hamburger")){
			preparedItem.setItemName("Hamburger");
			preparedItem.setServingSize("Standard");
			preparedItem.setTaste("Salty");
			preparedItem.setIngredients("Hamburger, Lettuce, Onions, Tobasco sauce, Cheddar cheese, Kaiser style buns, Pam Cooking Spray, Worcestershire sauce");
			preparedItem.setTemperature("Hot");
		}
		return preparedItem;
	}
}
