package com.sams.learnweblogic7.ejb.stateful;

import java.util.*;

public class PoolClass
{
	private static Vector chefPool = new Vector();

	static{
		String chefId;
		for(int i=0;i<10;i++)
		{
			chefId = ""+i;
			chefPool.addElement(new ChefImpl(chefId));
		}
	}

	public static synchronized ChefInterface getChef(){
		if(chefPool.isEmpty()){
			try{
				Thread.sleep(60*1000);
				getChef();
			}
			catch(Exception e){
				//to be filled in later
			}
		}
		ChefInterface returningChef = (ChefInterface)chefPool.remove(0);
		return returningChef;
	}

	public static void returnChef(ChefInterface returningChef){
		chefPool.addElement(returningChef);
	}
}