package com.sams.learnweblogic7.ejb.cmp;

import java.rmi.RemoteException;
import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.FinderException;

/**
 * This is the home interface for the ItemBean.java.
 * In WebLogic, this is implemented by the code-generated container
 * class ItemBeanC. A home interface may support one or more create
 * methods, which must correspond to methods named "ejbCreate" in the EJBean.
 *
 */
public interface ItemLogHome extends EJBHome {

  /**
   * Corresponding to the ejbCreate method in the ItemLogBean.java.
   *
   * @return                  ItemInterface
   * @exception               RemoteException 
   * @exception               CreateException
   */
  ItemLogInterface create(int itemId, java.sql.Date itemCreationDate)throws CreateException, RemoteException;

  /**
   * Given a Primary Key, refreshes the EJBean from
   * the persistent storage.
   *
   * @param primaryKey        Primary Key
   * @return                  ItemInterface
   * @exception               javax.ejb.FinderException
   *                          if there is an error finding the bean
   * @exception               java.rmi.RemoteException if there is
   *                          a communications or systems failure
   */
  public ItemLogInterface findByPrimaryKey(ItemPK primaryKey) 
    throws FinderException, RemoteException;

  
}